var LENGTH_DECIMAL = require('strman.numericalbase').LENGTH_DECIMAL
var BASE_DECIMAL = require('strman.numericalbase').BASE_DECIMAL
var decode = require('strman.decode')
Object.defineProperty(exports, "__esModule", {
  value: true
});

/**
 * @module decDecode
 * @description
 * Convert binary unicode (16 digits) string to string chars
 * ## Install
 * Install all functions of strman
 * ```sh
 * yarn add strman
 * ```
 * or just the decDecode function
 * ```sh
 * yarn add strman.decdecode
 * ```
 * ## Usage
 * ```javascript
 * import { decDecode } from 'strman'
 * // OR
 * import decDecode from 'strman.decdecode'
 * ```
 * @param {String} value - Value to decode
 * @example
 * decDecode('001150011600114001090009700110')
 * // => 'strman'
 * @returns {String} String decoded.
 */
exports.default = function (value) {
  return decode(value, LENGTH_DECIMAL, BASE_DECIMAL);
};

module.exports = exports['default'];